//*****************************************************************************************************
//  1. t@C
//		TitlePrint.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		^Cg̃NX̎
//----------------------------------------------------------------------------------------------------
//  3. l
//----------------------------------------------------------------------------------------------------
//  4. 
//		2008.01.01 M.Hama VK쐬
//*****************************************************************************************************
#include "StdAfx.h"
#include "TitlePrint.h"

CTitlePrint::CTitlePrint()
{
}

CTitlePrint::~CTitlePrint()
{
}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::StartTitle
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^CgJn
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		CDC&		dc			[I] CDC
//		CRect		rectView	[I] f[^󎚕CRect
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::StartTitle(CDC& dc, CRect rectView)
{
	m_dc = &dc;
	m_Rect = rectView;

	// tHg쐬
	CFont fontTitle;
	fontTitle.CreatePointFont(80, "MS UI Gothic", m_dc);

	// tHgI
	m_pFontOrg = m_dc->SelectObject(&fontTitle);

}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::EndTitle
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^CgI
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::EndTitle()
{
	// tHg̑I
	m_dc->SelectObject(m_pFontOrg);
}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::PrintMid
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^CgiZ^[j
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		int			nLine		[I] s
//		LPCSTR		pTitle		[I] 
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::PrintMid(int nLine, LPCSTR pTitle)
{
	// ^Cg̃TCY擾
	CSize sizeText = m_dc->GetOutputTextExtent(pTitle);

	// ^Cg
	m_dc->TextOut(m_Rect.CenterPoint().x - sizeText.cx / 2, sizeText.cy * nLine, pTitle);
}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::PrintLeft
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^Cgil߁j
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		int			nLine		[I] s
//		LPCSTR		pTitle		[I] 
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::PrintLeft(int nLine, LPCSTR pTitle)
{
	// ^Cg̃TCY擾
	CSize sizeText = m_dc->GetOutputTextExtent(pTitle);

	// ^Cg
	m_dc->TextOut(m_Rect.left, sizeText.cy * nLine, pTitle);
}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::PrintRight
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^CgiEl߁j
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		int			nLine		[I] s
//		LPCSTR		pTitle		[I] 
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::PrintRight(int nLine, LPCSTR pTitle)
{
	// ^Cg̃TCY擾
	CSize sizeText = m_dc->GetOutputTextExtent(pTitle);

	// ^Cg
	m_dc->TextOut(m_Rect.right - sizeText.cx, sizeText.cy * nLine, pTitle);
}

//*****************************************************************************************************
//  1. ֐
//		CTitlePrint::PrintDir
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Ot^CgiEl߁j
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		int			x			[I] XW
//		int			nLine		[I] s
//		LPCSTR		pTitle		[I] 
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CTitlePrint::PrintDir(int x, int nLine, LPCSTR pTitle)
{
	// ^Cg̃TCY擾
	CSize sizeText = m_dc->GetOutputTextExtent(pTitle);

	// ^Cg
	m_dc->TextOut(m_Rect.left + x, sizeText.cy * nLine, pTitle);
}
